Bug 763186 - (GLUSTER-1454) Remove brick unsuccessful - wrong volume info
Remove brick unsuccessful - wrong volume info
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-27 05:37 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-08-27 05:37:46 EDT
In a distributed replicate setup 2x2 , while trying to removing single brick it gives unsuccessful error message . but volume info is wrong.

gluster> volume remove-brick afr4 172.24.21.131:/mnt
Remove Brick unsuccessful
gluster> peer info
unrecognized word: info (position 1)
gluster> volume info
Number of Volumes: 1

Volume Name: afr4
Type: Replicate
Status: Started
Number of Bricks: 3
Bricks:
Brick1: 172.24.21.132:/mnt
Brick2: 172.24.21.133:/mnt
Brick3: 172.24.21.134:/mnt
Comment 1 Vijay Bellur 2010-08-30 07:07:58 EDT
PATCH: http://patches.gluster.com/patch/4385 in master (mgmt/glusterd: fixed volgen creation problems)

Note You need to log in before you can comment on or make changes to this bug.